### Method

# Adw NavigationViewset_animate_transitions

since: 1.4

#### Declaration [src]

    void
    adw_navigation_view_set_animate_transitions (
      AdwNavigationView* self,
      gboolean animate_transitions
    )

#### Description [src]

Sets whether `self` should animate page transitions.

Gesture-based transitions are always animated.

Available since: 1.4

Sets property | `Adw.NavigationView:animate-transitions`

#### Parameters

`animate_transitions`

  Type: `gboolean`

  Whether to animate page transitions.